#
# spec file for package python-MiniMock
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define oldpython python
%define skip_python2 1
%define modname minimock
%{?sle15_python_module_pythons}
Name:           python-MiniMock
Version:        1.3.0
Release:        2.4
Summary:        A mock library for Python
License:        MIT
URL:            https://github.com/lowks/minimock/
Source:         https://github.com/lowks/%{modname}/archive/refs/tags/v%{version}.tar.gz#/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module tools}
BuildArch:      noarch
%ifpython2
Provides:       %{oldpython}-minimock = %{version}
Obsoletes:      %{oldpython}-minimock < %{version}
%endif
%python_subpackages

%description
Minimock is a library for doing Mock objects with doctest.
When using doctest, mock objects can be very simple.

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand $python -B %{buildroot}%{$python_sitelib}/minimock.py

%files %{python_files}
%license LICENSE.txt
%doc CHANGELOG.txt README.rst
%pycache_only %{python_sitelib}/__pycache__/minimock*
%{python_sitelib}/minimock.py
%{python_sitelib}/minimock-*-info

%changelog
* Sat Mar  9 2024 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Wed Feb 16 2022 Matej Cepl <mcepl@suse.com>
- Update to 1.3.0:
  - pkg: add initial conda recipe and workflow (plus .gitattributes)
  - Add some flake8 cleanup and tool cfgs.
  - Use nose wth coverage and detailed-errors for smoke test.
  - Replace os.path.isfile in lookup_by_name (fails on windows <py38)
  - cleanup python/pkg versions, update tox cfg, switch CI
* Fri Feb 11 2022 Matej Cepl <mcepl@suse.com>
- Deduplicate files in python_sitelib.
* Fri Feb 11 2022 pgajdos@suse.com
- require python3-tools instead of python3-2to3 for build
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Mar 19 2018 dimstar@opensuse.org
- BuildRequire python3-2to3: the spec calls 2to3.
* Sat Sep  2 2017 jengelh@inai.de
- Ensure neutrality of descriptions.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri May  3 2013 speilicke@suse.com
- Fixed the obsoletes to '<' after last version update
* Mon Apr 29 2013 dmueller@suse.com
- Update to 1.2.8:
  * add python 3.x support
* Sun May 27 2012 highwaystar.ru@gmail.com
- python3 package added
- spec files section improved
* Wed Aug 31 2011 saschpe@suse.de
- Initial version
